%define main_name dialog
%define main_version 0.9b
%define main_group Applications/System

Summary: A utility for creating TTY dialog boxes.
Name: %{main_name}
Version: %{main_version}
%define SubVersion 20030308
Release: 6
Copyright: GPL
Group: %main_group
URL: http://invisible-island.net/dialog/dialog.html
Source: ftp://invisible-island.net/dialog/%{name}-%{version}-%{SubVersion}.tgz
BuildRoot: /var/tmp/%{main_name}-root
BuildPreReq: ncurses-devel

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Though similar in style to CDK, it is different, being a
script-interpreter which provides a set of curses widgets. Widgets are
objects whose appearance and behavior can be customized. There is a
much-reduced variation of dialog, called lxdialog, which is used in
Linux kernel configuration.

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q -n %{name}-%{version}-%{SubVersion}

%build
%configure --enable-nls --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
fgrep -l -r perl samples|xargs rm -f

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING dialog.lsm INSTALL README
%{_prefix}/bin/dialog
%{_mandir}/man1/dialog.*

%package samples
Version: %{main_version}
Group: %main_group
Requires: %{main_name} >= %{main_version}
Summary: Sample scrips for using dialog.

%description samples
Sample shell scrips for using dialog.

%files samples
%defattr(-,root,root)
%doc samples

%changelog
* Wed Apr 30 2003 Chen Levy <packager@chenlevy.com>
- update to 20030308
- move sumples to sub package

* Mon Jun 18 2001 Harald Hoyer <harald@redhat.de>
- update to 20010527
- added ncurses-devel dependency (#44733)
- removed perl dependency

* Tue Jan 09 2001 Harald Hoyer <harald@redhat.com>
- update to 20001217

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix one of the examples (#14073)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- fix loop patch for reading from pipe

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
